http://bugzilla.openmoko.org/cgi-bin/bugzilla/show_bug.cgi?id=249

From Matt Mets <matt.mets@cibomahto.com>

Signed-off-by: Jim Huang <jserv@openmoko.org>
---
 Makefile.am |    6 ++++++
 gsmd.c      |    9 ++++++++-
 2 files changed, 14 insertions(+), 1 deletion(-)

Index: gsm/src/gsmd/Makefile.am
===================================================================
--- gsm.orig/src/gsmd/Makefile.am	2007-08-15 00:31:46.000000000 +0800
+++ gsm/src/gsmd/Makefile.am	2007-08-15 00:34:48.000000000 +0800
@@ -2,6 +2,12 @@
 AM_CFLAGS = -std=gnu99
 plugindir = $(libdir)/gsmd
 
+gsmd-version.h:
+	echo -e '#ifndef GSMD_VERSION' \
+	'\n#define GSMD_VERSION "'`svnversion`'"' \
+	'\n#endif' > gsmd-version.h
+
+BUILT_SOURCES = gsmd-version.h
 sbin_PROGRAMS = gsmd
 
 gsmd_CFLAGS = -D PLUGINDIR=\"$(plugindir)\"
Index: gsm/src/gsmd/gsmd.c
===================================================================
--- gsm.orig/src/gsmd/gsmd.c	2007-08-15 00:32:04.000000000 +0800
+++ gsm/src/gsmd/gsmd.c	2007-08-15 00:34:48.000000000 +0800
@@ -36,6 +36,7 @@
 #include <sys/stat.h>
 
 #include "gsmd.h"
+#include "gsmd-version.h"
 
 #include <gsmd/gsmd.h>
 #include <gsmd/atcmd.h>
@@ -325,6 +326,11 @@
 	       "This program is FREE SOFTWARE under the terms of GNU GPL\n\n");
 }
 
+static void print_version(void)
+{
+  printf("gsmd, version %s\n",GSMD_VERSION);
+}
+
 static void print_usage(void)
 {
 	printf("Usage:\n"
@@ -382,7 +388,8 @@
 	while ((argch = getopt_long(argc, argv, "FVLdhp:s:l:v:m:", opts, NULL)) != -1) {
 		switch (argch) {
 		case 'V':
-			/* FIXME */
+      print_version();
+		  exit(0);
 			break;
 		case 'L':
 			talloc_enable_leak_report_full();
